*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #acbaca;
    overflow: hidden;
}
div{
    position: absolute;
    top: 0;
    width: 300px;
    height: 300px;
    background: #c9d5e0;
    border-radius: 50px;
    box-shadow: 25px 25px  30px -10px rgba(0,0,0,0.15),
    inset 15px 15px 15px rgba(255,255,255,0.75),
    inset -2px -2px 10px rgba(0,0,0,0.55),
    -15px -15px 35px rgba(255,255,255,0.15);
}
div:nth-child(2){
    position: absolute;
    top: 80px;
    right: 100px;
    width: 400px;
    height: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
}
div:nth-child(2)::before{
    content: '';
    position: absolute;
    width: 350px;
    height: 350px;
    border-radius: 50%;
    border: 5px solid #d2eaf1;
    animation: animate 4s linear infinite;
    background: linear-gradient(rgb(0, 89, 255),rgb(162, 0, 255),rgb(255, 0, 157));
    
}
@keyframes animate{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
div:nth-child(2) span{
    position: relative;
    width: 330px;
    height: 330px;
    background: #c9d5e0;
    border-radius: 50%;
    box-shadow: 
    inset 15px 15px 15px rgba(255,255,255,0.75),
    inset -2px -2px 10px rgba(0,0,0,0.55);
    display: flex;
    justify-content: center;
    align-items: center;
}
div:nth-child(2) span::before{
    content: '';
    position: absolute;
    width: 30px;
    height: 30px;
    background: #d9ebfc;
    border-radius: 50%;
    border: 4px solid rgba(156, 173, 248, 0.616);
}
div:nth-child(2) span .pin1{
    position: absolute;
    width: 110px;
    left: 50%;
    border-radius: 4px;
    height: 8px;
    z-index: 2;
    transform-origin: left;
    animation: animate 43200s steps(60) infinite;
    background: linear-gradient(90deg,transparent 20%,rgba(255, 0, 0, 0.253),red);
}
div:nth-child(2) span .pin2{
    position: absolute;
    top: 50%;
    z-index: 2;
    width: 8px;
    height: 120px;
    transform-origin: top;
    animation: animate 3600s steps(60) infinite;
    background: linear-gradient(transparent 20%,#111);
    border-radius: 4px;
}
div:nth-child(2) span .pin3{
    position: absolute;
    top: 50%;
    width: 5px;
    z-index: 2;
    height: 120px;
    transform-origin: top;
    animation: animate 60s steps(60) infinite;
    background: linear-gradient(transparent 20%,rgb(255, 255, 255));
    border-radius: 4px;
}
@keyframes animate{
    0%{
        transform: rotate(0deg);
    }
    10%{
        transform: rotate(36deg);
    }
    20%{
        transform: rotate(72deg);
    }
    30%{
        transform: rotate(108deg);
    }
    40%{
        transform: rotate(144deg);
    }
    50%{
        transform: rotate(180deg);
    }
    60%{
        transform: rotate(216deg);
    }
    70%{
        transform: rotate(252deg);
    }
    80%{
        transform: rotate(288deg);
    }
    90%{
        transform: rotate(324deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
div:nth-child(2) span .number h1{
    position: absolute;
    font-size: 2.5em;
    font-family: Arial, Helvetica, sans-serif;
}
div:nth-child(2) span .number h1:nth-child(1){
    top: 5px;
}
div:nth-child(2) span .number h1:nth-child(2){
    right: 5px;
}
div:nth-child(2) span .number h1:nth-child(3){
    bottom: 5px;
}
div:nth-child(2) span .number h1:nth-child(4){
    left: 5px;
}
div:nth-child(2) span .number section{
    position: absolute;
    width: 10px;
    height: 10px;
    background: rgba(0, 0, 0, 0.452);
    /* left: 0; */
    border-radius: 5px;
    transform: rotate(calc(30deg * var(--i)))
    translate(155px);
}
div:nth-child(1){
    position: absolute;
    top: -100px;
    left: 190px;
    right: 200px;
    width: 250px;
    height: 250px;
}
div:nth-child(3){
    position: absolute;
    left: 50px;
    top: 250px;
}
div:nth-child(4){
    position: absolute;
    top: 200px;
   left: 550px;
   width: 150px;
   height: 150px;
   border-radius: 30px;
}div:nth-child(5){
    position: absolute;
    top: 500px;
}